### set frdlci

Use the set frdlci command to

- Configure frame relay virtual circuits
- Display virtual circuit configuration parameters
- Delete virtual circuits

Root privileges are required to configure and delete virtual circuits. Anyone can display virtual circuit parameters.

Also see the set framerelay command.

#### Command Syntax

##### Configuration Syntax

Enter the set frdlci command as shown below to configure a frame relay virtual circuit:

> `set frdlci [BcMax=bps] [BcMin=bps] [Be=bps] [CIR=bps] DLCI=dlci [enable={on|off}] [fallback=seconds] port=port [ProtoEncap={on|off}]`

##### Display Syntax

Enter the set frdlci command as shown below to display frame relay virtual circuit parameters:

> `set frdlci [{range=range|port=port}]`

##### Delete Syntax

Enter the set frdlci command as shown below to delete a frame relay virtual circuit.

> `set frdlci delete=on port=port DLCI=dlci`

#### Command Fields

Command Field | Description
BcMax | Specifies the committed burst rate, which is the maximum amount of data the network agrees to transfer over this virtual circuit under normal conditions. Set this to the value provided by you network provider or to a value that is greater than or equal to the CIR. The default is 56,000 bps.
BcMin | Specifies the minimum transmission rate to which the PortServer will drop back when the network becomes congested. The default is half of bcmax.
Be | Specifies the excess burst size, which is the maximum transfer rate (bps) over the CIR for this virtual circuit. To maximize throughput, you can set this value to the desired transfer rate minus the CIR. For example, on a 56 kbps line with one DLCI and a CIR of 28 kbps, you might set be to 28 kbps, enabling transmission at the line rate (56 kbps). This will, however, result in the discard eligibility bit being set in packets sent in excess of the CIR, meaning these packets are likely candidates for discard should the network become congested. If you set this value to exceed the CIR, monitor the virtual circuit carefully to ensure that an unacceptable number of packets are not discarded, which will result in an excessive number of retransmissions. The default is 0, meaning that the maximum transfer rate is the CIR.
CIR | Specifies the committed information rate (bps) for this virtual circuit. Use the rate ordered from your network service provider. The default is 56,000 bps.
delete | on - means that the virtual circuits identified on the port and DLCI fields will be deleted. off - means that a delete operation will not occur. The default is off.
DLCI | Specifies the data link connection identifier, which is the means by which this virtual circuit is identified. The number you use here must be one of those supplied to you by your network service provider.
enable | on - enables this virtual circuit, permitting traffic to flow over it off - disables this virtual circuit. The default is on.
fallback | Specifies the period in seconds that the PortServer will use the fallback transmission rate (bcmin) when network congestion occurs. The default is 10, and the range is 0 to 244 seconds (4 minutes).
port | Specifies the port associated with this DLCI.
ProtoEncap | on - means use the encapsulation scheme defined in RFC 1490 off - means do not use RFC 1490 encapsulation. The default is on.

#### Command Examples

##### Displaying Virtual Circuit Parameters

In this example, the set frdlci command displays virtual circuit configuration parameters.

> `set frdlci port=8`

##### Deleting a Virtual Circuit

In this example, the set frdlci command deletes the virtual circuit identified on the port and dlci fields.

> `set frdlci delete=on port=8 DLCI=17`

##### Configuring a Virtual Circuit

In this example, the set frdlci command configures a virtual circuit identified with a DLCI of 17 that

- Uses port 7
- Is enabled
- Has a normal transmission speed of 56,000 bps

  `set frdlci port= 7 DLCI=17 enable=on CIR=56000`